curl --request GET \
--url https://api.buildpass.global/builders/{builderId}/projects/{projectId}/inductions/{identifierOrId} \
--header 'Authorization: Bearer <token>' \
--header 'X-BuildPass-Api-Version: <x-buildpass-api-version>'import requests
url = "https://api.buildpass.global/builders/{builderId}/projects/{projectId}/inductions/{identifierOrId}"
headers = {
"X-BuildPass-Api-Version": "<x-buildpass-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-BuildPass-Api-Version': '<x-buildpass-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.buildpass.global/builders/{builderId}/projects/{projectId}/inductions/{identifierOrId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ind_clgbsb90b001qjy0f0eo1hspp",
"identifier": 1,
"createdAt": "2023-10-03T23:19:35.771Z",
"updatedAt": "2023-10-03T23:19:35.771Z",
"type": "PROJECT_INDUCTION",
"status": "WAITING_REVIEW",
"project": {
"id": "proj_clgbsb90b001qjy0f0eo1hspp",
"name": "Downtown Mall Construction"
},
"worker": {
"id": "wkr_clgbsb90b001qjy0f0eo1hspp",
"fullName": "John Doe"
},
"subcontractor": {
"id": "sub_clgbsb90b001qjy0f0eo1hspp",
"name": "ABC Contractors"
},
"data": [
{
"name": "Emergency Contact",
"type": "text",
"value": "Jane Doe"
}
]
}{
"errors": [
{
"fieldName": "name",
"message": "This field is required."
}
]
}Get induction
Get an induction by identifier (numeric) or ID (ind_ prefix)
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Token URL
- https://api.buildpass.global/oauth/token
Headers
What API version to use.
v1 "v1"
Path Parameters
The ID of the builder
"buil_clgbsb90b001qjy0f0eo1hspp"
The ID of the project
"proj_clgbsb90b001qjy0f0eo1hspp"
The project-specific identifier (numeric, e.g. 5) or the induction ID (with ind_ prefix, e.g. ind_abc123)
"5"
Response
An induction object with form data
The ID of the induction
"ind_clgbsb90b001qjy0f0eo1hspp"
The project-specific identifier for the induction
1
"2023-10-03T23:19:35.771Z"
"2023-10-03T23:19:35.771Z"
BUILDER_INDUCTION, PROJECT_INDUCTION "PROJECT_INDUCTION"
REVIEWED, WAITING_REVIEW, CHANGES_REQUESTED "WAITING_REVIEW"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Array of capture fields with user-provided data from the induction form
Show child attributes
Show child attributes